group "PayerReceiver.model"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | 4 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 4 elements
Used: | at 25 locations

Content Model Diagram

Complex Content Model
payerPartyReference, payerAccountReference?, receiverPartyReference, receiverAccountReference?

Content Model Elements (4):

  payerAccountReference, payerPartyReference (defined in PayerReceiver.model group), | receiverAccountReference, receiverPartyReference

Known Usage Locations

- In definitions of other model groups (1):
  PaymentDetails.model
- In definitions of global complexTypes (24):
  AveragePriceLeg, BasketConstituent, DirectionalLeg, EquityPremium, ExerciseFee, ExerciseFeeSchedule, FeaturePayment, FinancialSwapLeg, GrossCashflow, IndependentAmount, InitialPayment, InterestRateStream, NonPeriodicFixedPriceLeg, PassThroughItem, Payment, PaymentBaseExtended, PhysicalForwardLeg, PhysicalSwapLeg, PrePayment, PrincipalExchangeDescriptions, ReturnSwapAdditionalPayment, SimplePayment, TermDeposit, TradeUnderlyer2

XML Source (w/o annotations (4); see within schema source)

<xsd:group name="PayerReceiver.model"> <xsd:sequence> <xsd:element name="payerPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="payerAccountReference" type="AccountReference"/> <xsd:element name="receiverPartyReference" type="PartyReference"/> <xsd:element minOccurs="0" name="receiverAccountReference" type="AccountReference"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 4/4)
payerAccountReference

  Type: | AccountReference, empty content

  A reference to the account responsible for making the payments defined by this structure.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="payerAccountReference" type="AccountReference"/>

payerPartyReference

  Type: | PartyReference, empty content

  A reference to the party responsible for making the payments defined by this structure.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="payerPartyReference" type="PartyReference"/>

receiverAccountReference

  Type: | AccountReference, empty content

  A reference to the account that receives the payments corresponding to this structure.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="receiverAccountReference" type="AccountReference"/>

receiverPartyReference

  Type: | PartyReference, empty content

  A reference to the party that receives the payments corresponding to this structure.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="receiverPartyReference" type="PartyReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.